文档章节

Linux下将python2.6升级到2.7 yum修复及pip安装

蚂蚁-Declan
 蚂蚁-Declan
发布于 04/04 10:25
字数 710
阅读 93
收藏 0

Linux下将python2.6升级到2.7 安装pip 以及升级中遇到问题的解决方法

python2.6版本有很多局限性:最重要的就是,当前最新的pip版本已经不再支持python2.6;这给我们安装很多python库增加了很多不便;所以这里把我升级python2.6--2.7的过程及遇到的坑 记录一下:

实验系统版本centos6+ ;centos7+版本自带的python版本就是2.7+的。

第一步:安装相关的编译依赖包:

[root@declan~]# sudo yum install -y gcc

[root@declan~]# sudo yum install openssl-devel zlib-devel readline-devel sqlite-devel -y

 

第二步:到自己的目录下:下载 解压 编译配置

[root@declan~]# cd

[root@declan~]# wget https://www.python.org/ftp/python/2.7.12/Python-2.7.12.tgz  

[root@declan~]#tar -zxvf Python-2.7.12.tgz

[root@declan~]#cd Python-2.7.12

[root@declan Python-2.7.12]# ./configure --enable-shared --enable-loadable-sqlite-extensions  --prefix=/usr/local/python27 --with-zlib --with-ssl

修改文件:

[root@declan Python-2.7.12]# vim ./Modules/Setup

打开这句注释:

#zlib zlibmodule.c -I$(prefix)/include -L$(exec_prefix)/lib -lz

第三步:执行编译安装

编译:

[root@declan Python-2.7.12]#sudo make

安装:

[root@declan Python-2.7.12]#sudo make install

出现的问题:安装过程中,出现编译问题,一般都是本机的编译器gcc等没有安装导致的,执行第一步的依赖包安装,再进行编译安装就不会有问题了

第四步:python相关配置

此时安装完成之后:我们查看版本还是2.6,需要修改配置,用 python2.7 替换旧版本

进入bin目录:

[root@declan Python-2.7.12]# cd /usr/bin/

备份旧的版本:

[root@declan bin]# sudo mv /usr/bin/python /usr/bin/python2.6.6

创建新版本的软连接:

[root@declan bin]# sudo ln -s /usr/local/python27/bin/python2.7 /usr/bin/python

第五步:配置及yum出现问题的解决

[root@declan~]#sudo vim /etc/ld.so.conf

添加如下一行内容:

/usr/local/python27/lib

执行如下命令使得新添加的路径生效:

[root@declan ~]# sudo ldconfig

然后 就可以了:python -V :2.7.12

另外,安装完之后,由于现有的yum需要依赖python2.6,而我们配置了python2.7之后,yum会自动使用2.7所以造成yum不可用的问题,解决方法:

编辑 yum 配置文件

[root@declan bin]# sudo vim /usr/bin/yum

将第一行的: #!/usr/bin/python  修改为:#!/usr/bin/python2.6.6

============至此  python2.7升级完成===========

然后使用python -V可以查看版本

第六步 安装pip

[root@declan~]# wget https://bootstrap.pypa.io/get-pip.py

[root@declan~]# sudo python get-pip.py

设置软连接

[root@declan~]# sudo ln -s /usr/local/python27/bin/pip2.7 /usr/bin/pip

使用pip安装python的datetime库,验证是否成功:

[root@declan~]#sudo pip install datetime

 

© 著作权归作者所有

上一篇: CentOS6.8 安装webssh
下一篇: webpack 配置
蚂蚁-Declan

蚂蚁-Declan

粉丝 5
博文 69
码字总数 94969
作品 0
浦东
后端工程师
私信 提问
centos默认python2.6升级到python2.7,并用pip方式安装python工具包

说明 centos安装默认python2.6升级为python2.7不能用yum安装python工具包,建议用pip。 更新指令 yum -y updateyum groupinstall -y 'development tools' 安装 python 工具需要的额外软件包 ......

品鉴初心
2017/12/24
0
0
centos默认python2.6升级到python2.7,并用pip方式安装python工具包。

centos安装默认python2.6升级为python2.7,并解决python工具包安装的各种问题。 思路指导:升级2.7不能用yum安装python工具包。建议用pip 1.更新指令 yum -y update yum groupinstall -y 'd...

jin544642965
2016/05/09
0
0
如何在linux下升级python

服务linux器自带的是python2.6.无法安装 pip install paramiko。总是报错。 系统自带的Python2.6又不能动。无奈只好再安装一个版本。 自己尝试手动升级python2.7 最后还是放弃了,因为安装成...

linuxprobe16
2018/12/01
13
0
jumpserver跳板机搭建

软件下载: https://github.com/jumpserver/jumpserver 系统平台: centos 6.8 具体功能: www.jumpserver.org 1、关闭防火墙以及selinux [root@test1 ~]# service iptables stop[root@test......

812374156
2017/08/23
0
0
python2.6升级2.7的方法及升级后的故障处理

vps上的python是2.6的,想升级到2.7 1.查看python的版本 #python -V Python 2.6.6 2.下载python2.7 #wget http://python.org/ftp/python/2.7.6/Python-2.7.6.tar.bz2 #tar -jxvf Python-2.7......

Jlan
2015/09/16
1K
0

没有更多内容

加载失败,请刷新页面

加载更多

java通过ServerSocket与Socket实现通信

首先说一下ServerSocket与Socket. 1.ServerSocket ServerSocket是用来监听客户端Socket连接的类,如果没有连接会一直处于等待状态. ServetSocket有三个构造方法: (1) ServerSocket(int port);...

Blueeeeeee
今天
6
0
用 Sphinx 搭建博客时,如何自定义插件?

之前有不少同学看过我的个人博客(http://python-online.cn),也根据我写的教程完成了自己个人站点的搭建。 点此:使用 Python 30分钟 教你快速搭建一个博客 为防有的同学不清楚 Sphinx ,这...

王炳明
昨天
5
0
黑客之道-40本书籍助你快速入门黑客技术免费下载

场景 黑客是一个中文词语,皆源自英文hacker,随着灰鸽子的出现,灰鸽子成为了很多假借黑客名义控制他人电脑的黑客技术,于是出现了“骇客”与"黑客"分家。2012年电影频道节目中心出品的电影...

badaoliumang
昨天
14
0
很遗憾,没有一篇文章能讲清楚线程的生命周期!

(手机横屏看源码更方便) 注:java源码分析部分如无特殊说明均基于 java8 版本。 简介 大家都知道线程是有生命周期,但是彤哥可以认真负责地告诉你网上几乎没有一篇文章讲得是完全正确的。 ...

彤哥读源码
昨天
15
0
jquery--DOM操作基础

本文转载于:专业的前端网站➭jquery--DOM操作基础 元素的访问 元素属性操作 获取:attr(name);$("#my").attr("src"); 设置:attr(name,value);$("#myImg").attr("src","images/1.jpg"); ......

前端老手
昨天
7
0

没有更多内容

加载失败,请刷新页面

加载更多

返回顶部
顶部